Bug 252189 - games/retroarch: update to 1.9.0
Summary: games/retroarch: update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://www.libretro.com/index.php/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-27 06:36 UTC by Timothy Beyer
Modified: 2021-02-12 15:56 UTC (History)
3 users (show)

See Also:
greg: maintainer-feedback+


Attachments
games_retroarch.diff (4.86 KB, patch)
2020-12-27 06:36 UTC, Timothy Beyer
no flags Details | Diff
retroarch.patch (8.10 KB, patch)
2021-02-11 16:59 UTC, Greg V
greg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2020-12-27 06:36:14 UTC
Created attachment 220981 [details]
games_retroarch.diff

Updates games/retroarch to version 1.9.0.  Tested with all default options on, various cores already in ports, as well as numerous cores that I'm about to submit right now (pcsx2, bsnes, reicast).
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-27 18:23:28 UTC
^Triage: [tags] in issue Titles are deprecated.

^Triage: Simplifying title

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Timothy Beyer 2020-12-27 22:37:20 UTC
Here is the CHANGELOG for 1.9.0, as seen on https://www.libretro.com/index.php/retroarch-1-9-0-released/:

3DS: Fix sound crackling when paused
ANDROID/VIBRATION: Fixes “Vibrate on Key Press” having no effect on Android devices, which occurred because only the off time/strength was defined in what should have been a pair of off/on values
AUTOCONFIG: Ensure correct directory is used when saving autoconfig profiles
BLUETOOTH: Add a Bluetooth driver (Lakka-only for now)
CHEATS: Fix for wrong number of remaining cheat search matches on some machines
CHEEVOS: Option to play sound on achievement unlock.
CHEEVOS: Upgrade to rcheevos 9.1
CHEEVOS: Restore display of unlocked achievements across hardcore modes
CHEEVOS: Hash buffered data when available
CHEEVOS: Fix ‘Auto Save State freezes RetroArch while Cheevos is enabled’
CORE OPTIONS: Pressing OK (or clicking/tapping) on a ‘boolean toggle’ core option no longer opens a drop-down list. The value now toggles directly, just like boolean options everywhere else in the menu
CORE OPTIONS: Toggling an option that changes the number of core options being displayed (i.e. things like `Show Advanced Audio/Video Settings) no longer resets the navigation pointer to the start of the list
CORE OPTIONS: Before, RetroArch would identify core option values as being ‘boolean’ if they had labels matching the specific strings enabled or disabled. Most core devs would abide by this, but not always… As a result, we sometimes would end up with misidentified values, with all kinds of Enabled, Off, True, etc. strings littering the menu, in place of proper toggle switches. All boolean-type value labels are now detected, and replaced with standard ON/OFF strings.
CLI: A new command line option –load-menu-on-error has been added
CRT: On the fly CRT porch adjuments – these changes allow a user to adjust how the porch algorithm generates the 15khz/31khz output. Giving the ability to change over/under scan.
CONFIG FILE: Optimise parsing of configuration files
D3D9/D3D11: Fix core-initiated D3D9/D3D11 driver switches
DRIVERS: Implemented protection to avoid setting critical drivers to nothing thus preventing the user from locking him/herself out of the program
EMSCRIPTEN: Fix input code to ignore unknown keys
FFMPEG CORE: Prevent seeking past the end of files (hang fix)
FILE I/O: VFS and NBIO interfaces will now use 64-bit fseek/ftell where possible, should allow for reading/writing to files bigger than 2GB
INPUT MAPPING/REMAPPING: Add input remap drop-down lists
IOS: Fixed iOS 6 version
IOS: Hide the home indicator as it obscures the content too frequently
IOS/METAL: Metal video driver now works on RetroArch iOS
IOS/METAL: Support getting video metrics to support proper touchscreen interactions
LOCALIZATION: Updates for several languages (synchronized from Crowdin)
MEMORY/LINUX/ANDROID: Fix reporting of free memory
MEMORY/WINDOWS: Fix reporting of free memory
MENU: Enlarged INT/UINT selection limit from 999 to 9999
MENU: Fix cursor forced to first entry after displaying lists
MENU: Make Notification Font option visible when Graphics Widgets are enabled
MENU/RGUI: Add optional ‘toggle switch’ icons
MENU/WIDGETS: Add optional widget-based ‘load content’ launch feedback animation
MENU/WIDGETS: Make notification font size option visible when graphics widgets are enabled
ODROID GO ADVANCE: Video driver – fix race condition with RGUI callback
PLAYLISTS: Change playlists to use dynamic arrays. Instead of a fixed initial 12MB memory allocation (99999 * 128 byte (on 64bit arch)), use a dynamically growing array
PLAYLISTS: Playlist base content directory paths – portable playlists
PLAYLISTS/SEARCH: Enhanced playlist search functionality
PLAYLISTS/DATABASE: Add ‘Explore’ view
PLAYLISTS/DATABASE/EXPLORE: Show system icons in explore view
PS2: Improve FPS Limiter
RUNAHEAD: Prevent runahead from being disabled permanently when an error occurs
SCANNER: Add more region codes for GameCube/Wii game detection
SHADERS/SLANG: Increased Slang max Parameters, Textures & Passes
VIDEO FILTERS/BLARGG: Make Blargg_snes filter customizable
WINDOWS/RAWINPUT: Fix invalid calls to dinput_handle_message when input driver is not set to dinput
X11: Add lightgun support
Comment 3 Greg V 2021-01-03 14:04:38 UTC
LGTM
Comment 4 Fernando Apesteguía freebsd_committer 2021-01-03 19:01:04 UTC
(In reply to Greg V from comment #3)

Does not package correctly:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: share/metainfo/com.libretro.RetroArch.appdata.xml
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 5 Timothy Beyer 2021-01-03 22:39:44 UTC
I'll look into that error for share/metainfo/com.libretro.RetroArch.appdata.xml, I wasn't aware of it.
Comment 6 Greg V 2021-02-11 16:59:52 UTC
Created attachment 222370 [details]
retroarch.patch

Regenerated patch with the plist update, let's do this already
Comment 7 Timothy Beyer 2021-02-12 07:22:41 UTC
Thanks to the maintainer for correcting the plist, my apologies for forgetting about this issue.  My fault for leaving it unattended for about a month.
Comment 8 Fernando Apesteguía freebsd_committer 2021-02-12 15:56:18 UTC
Committed,

Thanks!
Comment 9 commit-hook freebsd_committer 2021-02-12 15:56:24 UTC
A commit references this bug:

Author: fernape
Date: Fri Feb 12 15:56:09 UTC 2021
New revision: 565028
URL: https://svnweb.freebsd.org/changeset/ports/565028

Log:
  games/retroarch: update to 1.9.0

  ChangeLog: https://www.libretro.com/index.php/retroarch-1-9-0-released/

  PR:	252189
  Submitted by:	beyert@cs.ucr.edu
  Approved by:	greg@unrelenting.technology (maintainer)

Changes:
  head/games/retroarch/Makefile
  head/games/retroarch/distinfo
  head/games/retroarch/files/patch-input_input__keymaps.c
  head/games/retroarch/files/patch-libretro-common_net_net__ifinfo.c
  head/games/retroarch/pkg-plist